import * as solid_js from 'solid-js';
import { Component } from 'solid-js';
import { ComponentRefProps } from '@ionic-solidjs/core/src';
import { JSX } from '@ionic/core';

type RouterProps = {
    root?: string;
    useHash?: boolean;
    onIonRouteDidChange?: (e: Event) => void;
    onIonRouteWillChange?: (e: Event) => void;
    /**
     * A list of routes to install. Nesting is not supported at the moment
     */
    routes: Array<RouteParameters | JSX.IonRouteRedirect>;
};
type RouteParameters = Omit<JSX.IonRoute, 'component' | 'componentProps'> & {
    from?: undefined;
} & ComponentRefProps<Component>;
/**
 * A simplified Solid-compatible implementation of the ion-router webcomponent.
 * Make sure to also place an `<IonRouterOutlet>` on the same page as the router, otherwise
 * nothing will be shown.
 *
 * @param props Router configuration
 */
declare function Router(props: RouterProps): solid_js.JSX.Element;

export { type RouteParameters, Router, type RouterProps };
