// src/components/router.tsx
import { createComponent as _$createComponent } from "solid-js/web";
import { IonRoute, IonRouteRedirect, IonRouter } from "@ionic-solidjs/core";
import { For } from "solid-js";
function Router(props) {
  return _$createComponent(IonRouter, {
    get useHash() {
      return props.useHash;
    },
    get root() {
      return props.root;
    },
    get ["on:ionRouteDidChange"]() {
      return props.onIonRouteDidChange;
    },
    get ["on:ionRouteWillChange"]() {
      return props.onIonRouteWillChange;
    },
    get children() {
      return _$createComponent(For, {
        get each() {
          return props.routes;
        },
        children: (route) => route.from !== void 0 ? _$createComponent(IonRouteRedirect, {
          get from() {
            return route.from;
          },
          get to() {
            return route.to;
          },
          get ["on:ionRouteRedirectChanged"]() {
            return route.onIonRouteRedirectChanged;
          }
        }) : _$createComponent(IonRoute, {
          get component() {
            return route.component;
          },
          get componentProps() {
            return route.componentProps;
          },
          get url() {
            return route.url;
          },
          get beforeEnter() {
            return route.beforeEnter;
          },
          get beforeLeave() {
            return route.beforeLeave;
          },
          get ["on:ionRouteDataChanged"]() {
            return route.onIonRouteDataChanged;
          }
        })
      });
    }
  });
}
export {
  Router
};
//# sourceMappingURL=index.mjs.map